SpecificRisk {PerformanceAnalytics} | R Documentation

## Specific risk of the return distribution

### Description

Specific risk is the standard deviation of the error term in the regression equation.

### Usage

    SpecificRisk(Ra, Rb, Rf = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.75

### Examples

    data(portfolio_bacon)
    print(SpecificRisk(portfolio_bacon[,1], portfolio_bacon[,2])) #expected 0.0329

    data(managers)
    print(SpecificRisk(managers['1996',1], managers['1996',8]))
    print(SpecificRisk(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]